schema:
  - "schema/*.gql"

exec:
  filename: graph/generated.go
  package: graph

model:
  filename: model/generated.go
  package: model

models:
  DateTime:
    model: gitlab.com/hackathon-as-a-service/hacktival/backend/graphql/graph.DateTime

  Lead:
    model: gitlab.com/hackathon-as-a-service/hacktival/backend/lead.Lead
  LeadWindow:
    model: gitlab.com/hackathon-as-a-service/hacktival/backend/lead.Window
  LeadEdge:
    model: gitlab.com/hackathon-as-a-service/hacktival/backend/lead.Edge

  InsertRepositoryInput:
    model: gitlab.com/hackathon-as-a-service/hacktival/backend/repository.Params
  InsertLeadInput:
    model: gitlab.com/hackathon-as-a-service/hacktival/backend/lead.Params
  InsertContributionInput:
    model: gitlab.com/hackathon-as-a-service/hacktival/backend/contribution.CalendarEntryParams

  Repository:
    model: gitlab.com/hackathon-as-a-service/hacktival/backend/repository.Repo
  Contribution:
    model: gitlab.com/hackathon-as-a-service/hacktival/backend/contribution.CalendarEntry
